Subject: Re: Consistent terminology: cached/staged/index

From: Jakub Narebski <[email-masked]>
Date: Mon, 14 Feb 2011 06:40:23 -0800 (PST)

Nguyen Thai Ngoc Duy <[email-masked]> writes:
> On Mon, Feb 14, 2011 at 9:17 PM, Felipe Contreras
> <[email-masked]> wrote:
>> On Mon, Feb 14, 2011 at 3:43 PM, Michael J Gruber
>> <[email-masked]> wrote:
>>> Nguyen Thai Ngoc Duy venit, vidit, dixit 14.02.2011 14:14:
>>>> On Mon, Feb 14, 2011 at 5:42 PM, Michael J Gruber
>>>> <[email-masked]> wrote:

>>>>> Full disclaimer: I have an alias "staged" for "diff --cached" myself...
>>>>
>>>> Be careful with your fingers. There's a command named "git stage".
>>>
>>> I know. Can we remove it as part of 1.8.0? It's our only builtin alias.
>>
>> I have proposed before to extend 'git stage', so you can do 'git stage
>> diff', or if you alias 'git stage' to 'git s', just 'git s diff'. This
>> would not conflict with the old behavior of 'git stage $file'.
> 
> It does. What if I want to stage a file named "add", "rm" or "diff"?

Then you would use

  $ git stage ./diff

or

  $ git stage -- diff

(or even "git add diff" ;-)).

P.S. I haven't checked that above work...

-- 
Jakub Narebski
Poland
ShadeHawk on #git